Skip to content

Health Dependencies

GET
/health/dependencies
curl --request GET \
--url https://api.ultimateteam.ai/health/dependencies \
--header 'X-API-Key: <X-API-Key>'

Check all external dependencies with individual status.

Successful Response

Media typeapplication/json
DependencyHealthResponse

Aggregated dependency health response (all externals).

object
dependencies
required
Dependencies
Array<object>
SubsystemCheck

Result of a single dependency health check.

object
error
Any of:
string
latency_ms
required
Latency Ms
number
name
required
Name
string
status
required
Status
string
Allowed values: healthy unhealthy timeout
status
required
Status
string
Allowed values: healthy degraded
Example
{
"dependencies": [
{
"status": "healthy"
}
],
"status": "healthy"
}